Index: debian/changelog
===================================================================
--- debian/changelog	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/changelog	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,19 @@
+gutenbach-queue (1.02) unstable; urgency=low
+
+  * Prevent the screen from turning off when
+  view-gutenbach-queue is running.
+
+ -- Jessica Hamrick <jhamrick@mit.edu>  Mon, 14 Dec 2009 20:24:37 -0500
+
+gutenbach-queue (1.01) unstable; urgency=low
+
+  * Changed the chown in the postinst to
+  daemon:daemon instaed of daemon:pika
+
+ -- Jessica Hamrick <jhamrick@mit.edu>  Mon, 14 Dec 2009 20:23:50 -0500
+
+gutenbach-queue (1.0) unstable; urgency=low
+
+  * Initial release.
+
+ -- Jessica Hamrick <jhamrick@mit.edu>  Mon, 14 Dec 2009 20:03:48 -0500
Index: debian/compat
===================================================================
--- debian/compat	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/compat	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,1 @@
+5
Index: debian/control
===================================================================
--- debian/control	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/control	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,14 @@
+Source: gutenbach-queue
+Section: sound
+Priority: extra
+Maintainer: Jessica Hamrick <jhamrick@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
+Standards-Version: 3.8.0
+
+Package: gutenbach-queue
+Architecture: all
+Pre-Depends: debconf
+Depends: ${shlibs:Depends}, ${misc:Depends}, daemon, gutenbach
+Description: Displays metadat about the current songs in the 
+ queue for the gutenbach music spooler, and also the song that
+ is currently playing.
Index: debian/copyright
===================================================================
--- debian/copyright	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/copyright	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,1 @@
+Copyright 2009 Jessica Hamrick
Index: debian/gutenbach-queue.dirs
===================================================================
--- debian/gutenbach-queue.dirs	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/gutenbach-queue.dirs	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,2 @@
+usr/lib/gutenbach
+usr/lib/gutenbach/queue
Index: debian/gutenbach-queue.init
===================================================================
--- debian/gutenbach-queue.init	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/gutenbach-queue.init	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,91 @@
+#!/bin/bash
+### BEGIN INIT INFO
+# Provides:          gutenbach-queue
+# Required-Start:    $remote_fs $syslog
+# Required-Stop:     $remote_fs $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Starts the queue daemon for gutenbach.
+# Description:       Starts the queue daemon for gutenbach.
+### END INIT INFO
+
+case "$1" in
+    start)
+	daemon -F /var/run/gutenbach/gutenbach-queue.pid --name gutenbach-queue --running
+	if [ "$?" == 0 ]; then
+	    echo "The gutenbach queue daemon is already running."
+	else
+	    if [ ! -e /var/run/gutenbach/current_queue ]; then
+		touch /var/run/gutenbach/current_queue
+		chmod ugoa+r /var/run/gutenbach/current_queue
+            fi
+            if [ ! -e /var/run/gutenbach/queue_times ]; then
+		touch /var/run/gutenbach/queue_times
+            fi
+            if [ ! -e /var/run/gutenbach/exiftool_data ]; then
+		touch /var/run/gutenbach/exiftool_data
+	    fi
+            if [ ! -e /var/run/gutenbach/current_queue_temp ]; then
+		touch /var/run/gutenbach/current_queue_temp
+            fi
+
+	    echo "Starting gutenbach daemon..."
+	    daemon -F /var/run/gutenbach/gutenbach-queue.pid --name gutenbach-queue -u daemon /usr/lib/gutenbach/queue/build-gutenbach-queue
+	    echo "Done."
+	fi
+	;;
+
+    stop)
+	daemon -F /var/run/gutenbach/gutenbach-queue.pid --stop --name gutenbach-queue
+	/usr/lib/gutenbach/queue/kill-gutenbach-queue
+
+	if [ -e /var/run/gutenbach/current_queue ]; then
+            rm /var/run/gutenbach/current_queue
+	fi
+        if [ -e /var/run/gutenbach/queue_times ]; then
+            rm /var/run/gutenbach/queue_times
+	fi
+        if [ -e /var/run/gutenbach/exiftool_data ]; then
+            rm /var/run/gutenbach/exiftool_data
+	fi
+        if [ -e /var/run/gutenbach/current_queue_temp ]; then
+            rm /var/run/gutenbach/current_queue_temp
+        fi
+	;;
+
+    restart)
+	daemon -F /var/run/gutenbach/gutenbach-queue.pid --stop --name gutenbach-queue
+        /usr/lib/gutenbach/queue/kill-gutenbach-queue
+
+	if [ -e /var/run/gutenbach/current_queue ]; then
+	    rm /var/run/gutenbach/current_queue
+	fi
+	if [ -e /var/run/gutenbach/queue_times ]; then
+	    rm /var/run/gutenbach/queue_times
+	fi
+	if [ -e /var/run/gutenbach/exiftool_data ]; then
+	    rm /var/run/gutenbach/exiftool_data
+	fi
+	if [ -e /var/run/gutenbach/current_queue_temp ]; then
+	    rm /var/run/gutenbach/current_queue_temp
+	fi
+
+	touch /var/run/gutenbach/current_queue
+	chmod ugoa+r /var/run/gutenbach/current_queue
+	touch /var/run/gutenbach/queue_times
+	touch /var/run/gutenbach/exiftool_data
+	touch /var/run/gutenbach/current_queue_temp
+
+	echo "Starting gutenbach daemon..."
+	daemon -F /var/run/gutenbach/gutenbach-queue.pid --name gutenbach-queue -u daemon /usr/lib/gutenbach/queue/build-gutenbach-queue
+	echo "Done."
+	;;
+
+    force-reload)
+	;;
+
+    *)
+	echo "Usage: $0 {start|stop|restart}"
+	exit 1
+	;;
+esac
Index: debian/gutenbach-queue.install
===================================================================
--- debian/gutenbach-queue.install	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/gutenbach-queue.install	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,1 @@
+debian/lib/* /usr/lib/gutenbach/queue/
Index: debian/gutenbach-queue.postinst
===================================================================
--- debian/gutenbach-queue.postinst	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/gutenbach-queue.postinst	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,51 @@
+#!/bin/sh
+# postinst script for gutenbach-queue
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+. /usr/share/debconf/confmodule
+
+case "$1" in
+    configure|reconfigure)
+	chmod +x /usr/lib/gutenbach/queue/build-gutenbach-queue
+	chmod +x /usr/lib/gutenbach/queue/kill-gutenbach-queue
+	chmod +x /usr/lib/gutenbach/queue/view-gutenbach-queue
+	chmod +x /usr/lib/gutenbach/queue/queue
+	
+	if [ ! -e /usr/bin/view-gutenbach-queue ]; then
+	    ln -s /usr/lib/gutenbach/queue/view-gutenbach-queue /usr/bin/view-gutenbach-queue
+	fi
+
+	chown -R daemon:daemon /var/run/gutenbach
+	chmod og+rw /var/run/gutenbach
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Index: debian/gutenbach-queue.postrm
===================================================================
--- debian/gutenbach-queue.postrm	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/gutenbach-queue.postrm	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,48 @@
+#!/bin/sh
+# postrm script for gutenbach-queue
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+	if [ "$1" = "purge" ]; then
+	    if [ -e /usr/lib/gutenbach/queue ]; then
+		echo "Removing /usr/lib/gutenbach/queue/ ..." >&2
+		rm -r  /usr/lib/gutenbach/queue
+	    fi
+
+	    if [ -e /usr/bin/view-gutenbach-queue ]; then
+		echo "Removing /usr/bin/view-gutenbach-queue ..." >&2
+		rm /usr/bin/view-gutenbach-queue
+	    fi
+     	fi
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Index: debian/rules
===================================================================
--- debian/rules	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ debian/rules	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,3 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
Index: tenbach-queue/debian/changelog
===================================================================
--- gutenbach-queue/debian/changelog	(revision da6cb45e2ff30774edfba5b4cdbfd735dfd563aa)
+++ 	(revision )
@@ -1,19 +1,0 @@
-gutenbach-queue (1.02) unstable; urgency=low
-
-  * Prevent the screen from turning off when
-  view-gutenbach-queue is running.
-
- -- Jessica Hamrick <jhamrick@mit.edu>  Mon, 14 Dec 2009 20:24:37 -0500
-
-gutenbach-queue (1.01) unstable; urgency=low
-
-  * Changed the chown in the postinst to
-  daemon:daemon instaed of daemon:pika
-
- -- Jessica Hamrick <jhamrick@mit.edu>  Mon, 14 Dec 2009 20:23:50 -0500
-
-gutenbach-queue (1.0) unstable; urgency=low
-
-  * Initial release.
-
- -- Jessica Hamrick <jhamrick@mit.edu>  Mon, 14 Dec 2009 20:03:48 -0500
Index: tenbach-queue/debian/compat
===================================================================
--- gutenbach-queue/debian/compat	(revision 39452be9026f73731bf1e03a452fa1e0fb56fd58)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5
Index: tenbach-queue/debian/control
===================================================================
--- gutenbach-queue/debian/control	(revision 31e18129ea9937a3c686baf5ac27b535746cf048)
+++ 	(revision )
@@ -1,14 +1,0 @@
-Source: gutenbach-queue
-Section: sound
-Priority: extra
-Maintainer: Jessica Hamrick <jhamrick@mit.edu>
-Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
-Standards-Version: 3.8.0
-
-Package: gutenbach-queue
-Architecture: all
-Pre-Depends: debconf
-Depends: ${shlibs:Depends}, ${misc:Depends}, daemon, gutenbach
-Description: Displays metadat about the current songs in the 
- queue for the gutenbach music spooler, and also the song that
- is currently playing.
Index: tenbach-queue/debian/copyright
===================================================================
--- gutenbach-queue/debian/copyright	(revision 39452be9026f73731bf1e03a452fa1e0fb56fd58)
+++ 	(revision )
@@ -1,1 +1,0 @@
-Copyright 2009 Jessica Hamrick
Index: tenbach-queue/debian/gutenbach-queue.dirs
===================================================================
--- gutenbach-queue/debian/gutenbach-queue.dirs	(revision 39452be9026f73731bf1e03a452fa1e0fb56fd58)
+++ 	(revision )
@@ -1,2 +1,0 @@
-usr/lib/gutenbach
-usr/lib/gutenbach/queue
Index: tenbach-queue/debian/gutenbach-queue.init
===================================================================
--- gutenbach-queue/debian/gutenbach-queue.init	(revision 39452be9026f73731bf1e03a452fa1e0fb56fd58)
+++ 	(revision )
@@ -1,91 +1,0 @@
-#!/bin/bash
-### BEGIN INIT INFO
-# Provides:          gutenbach-queue
-# Required-Start:    $remote_fs $syslog
-# Required-Stop:     $remote_fs $syslog
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: Starts the queue daemon for gutenbach.
-# Description:       Starts the queue daemon for gutenbach.
-### END INIT INFO
-
-case "$1" in
-    start)
-	daemon -F /var/run/gutenbach/gutenbach-queue.pid --name gutenbach-queue --running
-	if [ "$?" == 0 ]; then
-	    echo "The gutenbach queue daemon is already running."
-	else
-	    if [ ! -e /var/run/gutenbach/current_queue ]; then
-		touch /var/run/gutenbach/current_queue
-		chmod ugoa+r /var/run/gutenbach/current_queue
-            fi
-            if [ ! -e /var/run/gutenbach/queue_times ]; then
-		touch /var/run/gutenbach/queue_times
-            fi
-            if [ ! -e /var/run/gutenbach/exiftool_data ]; then
-		touch /var/run/gutenbach/exiftool_data
-	    fi
-            if [ ! -e /var/run/gutenbach/current_queue_temp ]; then
-		touch /var/run/gutenbach/current_queue_temp
-            fi
-
-	    echo "Starting gutenbach daemon..."
-	    daemon -F /var/run/gutenbach/gutenbach-queue.pid --name gutenbach-queue -u daemon /usr/lib/gutenbach/queue/build-gutenbach-queue
-	    echo "Done."
-	fi
-	;;
-
-    stop)
-	daemon -F /var/run/gutenbach/gutenbach-queue.pid --stop --name gutenbach-queue
-	/usr/lib/gutenbach/queue/kill-gutenbach-queue
-
-	if [ -e /var/run/gutenbach/current_queue ]; then
-            rm /var/run/gutenbach/current_queue
-	fi
-        if [ -e /var/run/gutenbach/queue_times ]; then
-            rm /var/run/gutenbach/queue_times
-	fi
-        if [ -e /var/run/gutenbach/exiftool_data ]; then
-            rm /var/run/gutenbach/exiftool_data
-	fi
-        if [ -e /var/run/gutenbach/current_queue_temp ]; then
-            rm /var/run/gutenbach/current_queue_temp
-        fi
-	;;
-
-    restart)
-	daemon -F /var/run/gutenbach/gutenbach-queue.pid --stop --name gutenbach-queue
-        /usr/lib/gutenbach/queue/kill-gutenbach-queue
-
-	if [ -e /var/run/gutenbach/current_queue ]; then
-	    rm /var/run/gutenbach/current_queue
-	fi
-	if [ -e /var/run/gutenbach/queue_times ]; then
-	    rm /var/run/gutenbach/queue_times
-	fi
-	if [ -e /var/run/gutenbach/exiftool_data ]; then
-	    rm /var/run/gutenbach/exiftool_data
-	fi
-	if [ -e /var/run/gutenbach/current_queue_temp ]; then
-	    rm /var/run/gutenbach/current_queue_temp
-	fi
-
-	touch /var/run/gutenbach/current_queue
-	chmod ugoa+r /var/run/gutenbach/current_queue
-	touch /var/run/gutenbach/queue_times
-	touch /var/run/gutenbach/exiftool_data
-	touch /var/run/gutenbach/current_queue_temp
-
-	echo "Starting gutenbach daemon..."
-	daemon -F /var/run/gutenbach/gutenbach-queue.pid --name gutenbach-queue -u daemon /usr/lib/gutenbach/queue/build-gutenbach-queue
-	echo "Done."
-	;;
-
-    force-reload)
-	;;
-
-    *)
-	echo "Usage: $0 {start|stop|restart}"
-	exit 1
-	;;
-esac
Index: tenbach-queue/debian/gutenbach-queue.install
===================================================================
--- gutenbach-queue/debian/gutenbach-queue.install	(revision 39452be9026f73731bf1e03a452fa1e0fb56fd58)
+++ 	(revision )
@@ -1,1 +1,0 @@
-debian/lib/* /usr/lib/gutenbach/queue/
Index: tenbach-queue/debian/gutenbach-queue.postinst
===================================================================
--- gutenbach-queue/debian/gutenbach-queue.postinst	(revision 42b3872751766bb5e0e455327f1bdbad9e951b7a)
+++ 	(revision )
@@ -1,51 +1,0 @@
-#!/bin/sh
-# postinst script for gutenbach-queue
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <postinst> `configure' <most-recently-configured-version>
-#        * <old-postinst> `abort-upgrade' <new version>
-#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-#          <new-version>
-#        * <postinst> `abort-remove'
-#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-#          <failed-install-package> <version> `removing'
-#          <conflicting-package> <version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-. /usr/share/debconf/confmodule
-
-case "$1" in
-    configure|reconfigure)
-	chmod +x /usr/lib/gutenbach/queue/build-gutenbach-queue
-	chmod +x /usr/lib/gutenbach/queue/kill-gutenbach-queue
-	chmod +x /usr/lib/gutenbach/queue/view-gutenbach-queue
-	chmod +x /usr/lib/gutenbach/queue/queue
-	
-	if [ ! -e /usr/bin/view-gutenbach-queue ]; then
-	    ln -s /usr/lib/gutenbach/queue/view-gutenbach-queue /usr/bin/view-gutenbach-queue
-	fi
-
-	chown -R daemon:daemon /var/run/gutenbach
-	chmod og+rw /var/run/gutenbach
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
Index: tenbach-queue/debian/gutenbach-queue.postrm
===================================================================
--- gutenbach-queue/debian/gutenbach-queue.postrm	(revision 8de196af018cf970a8b298bc5ee46e4495ca8e94)
+++ 	(revision )
@@ -1,48 +1,0 @@
-#!/bin/sh
-# postrm script for gutenbach-queue
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <postrm> `remove'
-#        * <postrm> `purge'
-#        * <old-postrm> `upgrade' <new-version>
-#        * <new-postrm> `failed-upgrade' <old-version>
-#        * <new-postrm> `abort-install'
-#        * <new-postrm> `abort-install' <old-version>
-#        * <new-postrm> `abort-upgrade' <old-version>
-#        * <disappearer's-postrm> `disappear' <overwriter>
-#          <overwriter-version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-	if [ "$1" = "purge" ]; then
-	    if [ -e /usr/lib/gutenbach/queue ]; then
-		echo "Removing /usr/lib/gutenbach/queue/ ..." >&2
-		rm -r  /usr/lib/gutenbach/queue
-	    fi
-
-	    if [ -e /usr/bin/view-gutenbach-queue ]; then
-		echo "Removing /usr/bin/view-gutenbach-queue ..." >&2
-		rm /usr/bin/view-gutenbach-queue
-	    fi
-     	fi
-    ;;
-
-    *)
-        echo "postrm called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
Index: tenbach-queue/debian/lib/build-gutenbach-queue
===================================================================
--- gutenbach-queue/debian/lib/build-gutenbach-queue	(revision 39452be9026f73731bf1e03a452fa1e0fb56fd58)
+++ 	(revision )
@@ -1,15 +1,0 @@
-#!/bin/bash
-
-if [ -e /var/run/gutenbach/current_queue_temp ]; then
-    rm /var/run/gutenbach/current_queue_temp
-fi
-
-while true; do
-    time=$(date)
-    echo "This is a work in progress!  Please send bugs to jhamrick." >> /var/run/gutenbach/current_queue_temp
-    echo ""
-    echo "As of $time:" >> /var/run/gutenbach/current_queue_temp
-    /usr/lib/gutenbach/queue/queue >> /var/run/gutenbach/current_queue_temp
-    mv /var/run/gutenbach/current_queue_temp /var/run/gutenbach/current_queue
-    chmod ugoa+r /var/run/gutenbach/current_queue
-done
Index: tenbach-queue/debian/lib/kill-gutenbach-queue
===================================================================
--- gutenbach-queue/debian/lib/kill-gutenbach-queue	(revision 39452be9026f73731bf1e03a452fa1e0fb56fd58)
+++ 	(revision )
@@ -1,13 +1,0 @@
-#!/bin/bash
-
-echo "Stopping view-gutenbach-queue..."
-killall -q "/usr/lib/gutenbach/queue/view-gutenbach-queue"
-echo "Stopping build-gutenbach-queue..."
-killall -q "/usr/lib/gutenbach/queue/build-gutenbach-queue"
-echo "Stopping queue..."
-killall -q "/usr/lib/gutenbach/queue/queue"
-echo "Stopping exiftool..."
-killall -q "/usr/bin/exiftool"
-echo "Stopping watch..."
-killall -q "/usr/bin/watch"
-echo "Done."
Index: tenbach-queue/debian/lib/queue
===================================================================
--- gutenbach-queue/debian/lib/queue	(revision 8de196af018cf970a8b298bc5ee46e4495ca8e94)
+++ 	(revision )
@@ -1,59 +1,0 @@
-#!/bin/bash
-
-found_current=
-
-if [ -e "/var/run/gutenbach/queue_times" ]; then
-    rm "/var/run/gutenbach/queue_times"
-fi
-
-if [ -e /usr/lib/gutenbach/config/printername ]; then
-    printername=$(cat /usr/lib/gutenbach/config/printername)
-
-    cd /var/spool/lpd/"$printername"/
-    for i in $(ls . | grep ^hf); do
-	done=$(cat "$i" | grep done)
-    if [ ! -n "$done" ]; then
-	timestamp=$(cat "$i" | grep ^job_time= | sed 's/.*=//')
-	echo "$timestamp:$i" >> /var/run/gutenbach/queue_times
-    fi
-    done
-
-    if [ -e /var/run/gutenbach/queue_times ]; then
-	for i in $(sort /var/run/gutenbach/queue_times); do
-	    i=$(echo "$i" | sed 's/.*://')
-	    prefix="df"${i:2}
-	    for j in "$prefix"*; do song="$j"; done
-
-	    user=$(cat "$i" | grep ^P=)
-	    user=${user:2}
-	    
-	    if [ -e /var/run/gutenbach/exiftool_data ]; then
-		rm /var/run/gutenbach/exiftool_data
-	    fi
-
-	    exiftool "$song" >> /var/run/gutenbach/exiftool_data
-	    title=$(cat /var/run/gutenbach/exiftool_data | grep "^Title " | sed 's/.*: //')
-	    artist=$(cat /var/run/gutenbach/exiftool_data | grep "^Artist " | sed 's/.*: //')
-
-	    if [ -z "$found_current" ]; then
-		host=$(cat "$i" | grep ^H=)
-		host=${host:2}
-		filenm="$(cat $i | grep "^filenames" | sed -e 's/filenames=//')"
-		album=$(cat /var/run/gutenbach/exiftool_data | grep "^Album " | sed 's/.*: //')
-		echo "$user@$host is currently playing: "
-		echo "$filenm"
-		echo "'$title'"
-		echo "by '$artist'"
-		echo "on '$album'"
-		echo ""
-		echo "Coming up in the queue:"
-		found_current="true" 
-	    else
-		echo "$user: '$title' by '$artist'"
-	    fi
-	done
-    fi
-else
-    echo "Error: Printer name configuration file /usr/lib/gutenbach/config/printername does not exist!"
-    exit 1
-fi
Index: tenbach-queue/debian/lib/view-gutenbach-queue
===================================================================
--- gutenbach-queue/debian/lib/view-gutenbach-queue	(revision acb3ff67b84a98db3874b1ba0496a0852aaa4cdc)
+++ 	(revision )
@@ -1,9 +1,0 @@
-#!/bin/bash
-
-daemon --running --name gutenbach-queue -F /var/run/gutenbach/gutenbach-queue.pid
-if [ "$?" == 0 ]; then
-    setterm -blank 0
-    watch -t -n 1 cat /var/run/gutenbach/current_queue
-else
-    echo "The gutenbach queue daemon is not running.  Please start it at /etc/init.d/gutenbach-queue."
-fi
Index: tenbach-queue/debian/rules
===================================================================
--- gutenbach-queue/debian/rules	(revision 39452be9026f73731bf1e03a452fa1e0fb56fd58)
+++ 	(revision )
@@ -1,3 +1,0 @@
-#!/usr/bin/make -f
-
-include /usr/share/cdbs/1/rules/debhelper.mk
Index: gutenbach-queue/lib/build-gutenbach-queue
===================================================================
--- gutenbach-queue/lib/build-gutenbach-queue	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ gutenbach-queue/lib/build-gutenbach-queue	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+if [ -e /var/run/gutenbach/current_queue_temp ]; then
+    rm /var/run/gutenbach/current_queue_temp
+fi
+
+while true; do
+    time=$(date)
+    echo "This is a work in progress!  Please send bugs to jhamrick." >> /var/run/gutenbach/current_queue_temp
+    echo ""
+    echo "As of $time:" >> /var/run/gutenbach/current_queue_temp
+    /usr/lib/gutenbach/queue/queue >> /var/run/gutenbach/current_queue_temp
+    mv /var/run/gutenbach/current_queue_temp /var/run/gutenbach/current_queue
+    chmod ugoa+r /var/run/gutenbach/current_queue
+done
Index: gutenbach-queue/lib/kill-gutenbach-queue
===================================================================
--- gutenbach-queue/lib/kill-gutenbach-queue	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ gutenbach-queue/lib/kill-gutenbach-queue	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+echo "Stopping view-gutenbach-queue..."
+killall -q "/usr/lib/gutenbach/queue/view-gutenbach-queue"
+echo "Stopping build-gutenbach-queue..."
+killall -q "/usr/lib/gutenbach/queue/build-gutenbach-queue"
+echo "Stopping queue..."
+killall -q "/usr/lib/gutenbach/queue/queue"
+echo "Stopping exiftool..."
+killall -q "/usr/bin/exiftool"
+echo "Stopping watch..."
+killall -q "/usr/bin/watch"
+echo "Done."
Index: gutenbach-queue/lib/queue
===================================================================
--- gutenbach-queue/lib/queue	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ gutenbach-queue/lib/queue	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,59 @@
+#!/bin/bash
+
+found_current=
+
+if [ -e "/var/run/gutenbach/queue_times" ]; then
+    rm "/var/run/gutenbach/queue_times"
+fi
+
+if [ -e /usr/lib/gutenbach/config/printername ]; then
+    printername=$(cat /usr/lib/gutenbach/config/printername)
+
+    cd /var/spool/lpd/"$printername"/
+    for i in $(ls . | grep ^hf); do
+	done=$(cat "$i" | grep done)
+    if [ ! -n "$done" ]; then
+	timestamp=$(cat "$i" | grep ^job_time= | sed 's/.*=//')
+	echo "$timestamp:$i" >> /var/run/gutenbach/queue_times
+    fi
+    done
+
+    if [ -e /var/run/gutenbach/queue_times ]; then
+	for i in $(sort /var/run/gutenbach/queue_times); do
+	    i=$(echo "$i" | sed 's/.*://')
+	    prefix="df"${i:2}
+	    for j in "$prefix"*; do song="$j"; done
+
+	    user=$(cat "$i" | grep ^P=)
+	    user=${user:2}
+	    
+	    if [ -e /var/run/gutenbach/exiftool_data ]; then
+		rm /var/run/gutenbach/exiftool_data
+	    fi
+
+	    exiftool "$song" >> /var/run/gutenbach/exiftool_data
+	    title=$(cat /var/run/gutenbach/exiftool_data | grep "^Title " | sed 's/.*: //')
+	    artist=$(cat /var/run/gutenbach/exiftool_data | grep "^Artist " | sed 's/.*: //')
+
+	    if [ -z "$found_current" ]; then
+		host=$(cat "$i" | grep ^H=)
+		host=${host:2}
+		filenm="$(cat $i | grep "^filenames" | sed -e 's/filenames=//')"
+		album=$(cat /var/run/gutenbach/exiftool_data | grep "^Album " | sed 's/.*: //')
+		echo "$user@$host is currently playing: "
+		echo "$filenm"
+		echo "'$title'"
+		echo "by '$artist'"
+		echo "on '$album'"
+		echo ""
+		echo "Coming up in the queue:"
+		found_current="true" 
+	    else
+		echo "$user: '$title' by '$artist'"
+	    fi
+	done
+    fi
+else
+    echo "Error: Printer name configuration file /usr/lib/gutenbach/config/printername does not exist!"
+    exit 1
+fi
Index: gutenbach-queue/lib/view-gutenbach-queue
===================================================================
--- gutenbach-queue/lib/view-gutenbach-queue	(revision e87e682008b20061e88abcb383650485c76c3f88)
+++ gutenbach-queue/lib/view-gutenbach-queue	(revision e87e682008b20061e88abcb383650485c76c3f88)
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+daemon --running --name gutenbach-queue -F /var/run/gutenbach/gutenbach-queue.pid
+if [ "$?" == 0 ]; then
+    setterm -blank 0
+    watch -t -n 1 cat /var/run/gutenbach/current_queue
+else
+    echo "The gutenbach queue daemon is not running.  Please start it at /etc/init.d/gutenbach-queue."
+fi
